import { SvelteComponentTyped } from "svelte";
import type { TransitionTypes, TransitionParamTypes } from '../types';
declare const __propDef: {
    props: {
        tag?: string;
        open?: boolean;
        activeClass?: string;
        inactiveClass?: string;
        defaultClass?: string;
        transitionType?: TransitionTypes;
        transitionParams?: TransitionParamTypes;
        paddingFlush?: string;
        paddingDefault?: string;
        textFlushOpen?: string;
        textFlushDefault?: string;
        borderClass?: string;
        borderOpenClass?: string;
        borderBottomClass?: string;
        borderSharedClass?: string;
        classActive?: string;
        classInactive?: string;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        header: {};
        arrowup: {};
        arrowdown: {};
        default: {};
    };
};
export type AccordionItemProps = typeof __propDef.props;
export type AccordionItemEvents = typeof __propDef.events;
export type AccordionItemSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let tag: $$Props['tag'] = 'h2';
 * @prop export let open: NonNullable<$$Props['open']> = false;
 * @prop export let activeClass: $$Props['activeClass'] = undefined;
 * @prop export let inactiveClass: $$Props['inactiveClass'] = undefined;
 * @prop export let defaultClass: $$Props['defaultClass'] = 'flex items-center justify-between w-full font-medium text-left group-first:rounded-t-xl border-gray-200 dark:border-gray-700';
 * @prop export let transitionType: $$Props['transitionType'] = 'slide';
 * @prop export let transitionParams: $$Props['transitionParams'] = {};
 * @prop export let paddingFlush: $$Props['paddingFlush'] = 'py-5';
 * @prop export let paddingDefault: $$Props['paddingDefault'] = 'p-5';
 * @prop export let textFlushOpen: $$Props['textFlushOpen'] = 'text-gray-900 dark:text-white';
 * @prop export let textFlushDefault: $$Props['textFlushDefault'] = 'text-gray-500 dark:text-gray-400';
 * @prop export let borderClass: $$Props['borderClass'] = 'border-s border-e group-first:border-t';
 * @prop export let borderOpenClass: $$Props['borderOpenClass'] = 'border-s border-e';
 * @prop export let borderBottomClass: $$Props['borderBottomClass'] = 'border-b';
 * @prop export let borderSharedClass: $$Props['borderSharedClass'] = 'border-gray-200 dark:border-gray-700';
 * @prop export let classActive: $$Props['classActive'] = undefined;
 * @prop export let classInactive: $$Props['classInactive'] = undefined;
 */
export default class AccordionItem extends SvelteComponentTyped<AccordionItemProps, AccordionItemEvents, AccordionItemSlots> {
}
export {};
