import { SvelteComponentTyped } from "svelte";
import type { HTMLAttributes } from 'svelte/elements';
declare const __propDef: {
    props: HTMLAttributes<HTMLAnchorElement | HTMLDivElement> & {
        href?: string;
        src?: string;
        rounded?: boolean;
        border?: boolean;
        stacked?: boolean;
        dot?: object | undefined;
        alt?: string;
        size?: "xs" | "sm" | "md" | "lg" | "xl" | "none";
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export type AvatarProps = typeof __propDef.props;
export type AvatarEvents = typeof __propDef.events;
export type AvatarSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let src: $$Props['src'] = '';
 * @prop export let href: $$Props['href'] = undefined;
 * @prop export let rounded: $$Props['rounded'] = false;
 * @prop export let border: $$Props['border'] = false;
 * @prop export let stacked: $$Props['stacked'] = false;
 * @prop export let dot: $$Props['dot'] = undefined;
 * @prop export let alt: $$Props['alt'] = '';
 * @prop export let size: NonNullable<$$Props['size']> = 'md';
 */
export default class Avatar extends SvelteComponentTyped<AvatarProps, AvatarEvents, AvatarSlots> {
}
export {};
