import { SvelteComponentTyped } from "svelte";
import type { SizeType } from '../types';
declare const __propDef: {
    props: import("svelte/elements").HTMLAnchorAttributes & {
        tag?: string;
        color?: import("../utils/Frame.svelte").FrameColor;
        rounded?: boolean;
        border?: boolean;
        shadow?: boolean;
        node?: HTMLElement | undefined;
        use?: import("svelte/action").Action<HTMLElement, any>;
        options?: object;
        class?: string;
        role?: string;
        open?: boolean;
        transition?: (node: HTMLElement, params: any) => import("svelte/transition").TransitionConfig;
        params?: any;
    } & {
        href?: string;
        horizontal?: boolean;
        reverse?: boolean;
        img?: string;
        padding?: SizeType | "none";
        size?: SizeType | "none";
        imgClass?: string;
    };
    events: {
        click: MouseEvent;
        focusin: FocusEvent;
        focusout: FocusEvent;
        mouseenter: MouseEvent;
        mouseleave: MouseEvent;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export type CardProps = typeof __propDef.props;
export type CardEvents = typeof __propDef.events;
export type CardSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let href: $$Props['href'] = undefined;
 * @prop export let horizontal: $$Props['horizontal'] = false;
 * @prop export let reverse: $$Props['reverse'] = false;
 * @prop export let img: $$Props['img'] = undefined;
 * @prop export let padding: NonNullable<$$Props['padding']> = 'lg';
 * @prop export let size: NonNullable<$$Props['size']> = 'sm';
 * @prop export let imgClass: $$Props['imgClass'] = '';
 */
export default class Card extends SvelteComponentTyped<CardProps, CardEvents, CardSlots> {
}
export {};
