import { SvelteComponentTyped } from "svelte";
import type { HTMLButtonAttributes } from 'svelte/elements';
declare const __propDef: {
    props: HTMLButtonAttributes & {
        btnClass?: string;
        size?: "sm" | "md" | "lg";
        ariaLabel?: string;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        lightIcon: {};
        darkIcon: {};
    };
};
export type DarkModeProps = typeof __propDef.props;
export type DarkModeEvents = typeof __propDef.events;
export type DarkModeSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let btnClass: $$Props['btnClass'] = 'text-gray-500 dark:text-gray-400 hover:bg-gray-100 dark:hover:bg-gray-700 focus:outline-none rounded-lg text-sm p-2.5';
 * @prop export let size: NonNullable<$$Props['size']> = 'md';
 * @prop export let ariaLabel: $$Props['ariaLabel'] = 'Dark mode';
 */
export default class DarkMode extends SvelteComponentTyped<DarkModeProps, DarkModeEvents, DarkModeSlots> {
}
export {};
