import { SvelteComponentTyped } from "svelte";
import type { drawerTransitionParamTypes, drawerTransitionTypes } from '../types';
import type { HTMLAttributes } from 'svelte/elements';
declare const __propDef: {
    props: HTMLAttributes<HTMLElement> & {
        activateClickOutside?: boolean;
        hidden?: boolean;
        position?: "fixed" | "absolute";
        leftOffset?: string;
        rightOffset?: string;
        topOffset?: string;
        bottomOffset?: string;
        width?: string;
        backdrop?: boolean;
        bgColor?: string;
        bgOpacity?: string;
        placement?: "left" | "right" | "top" | "bottom";
        id?: string;
        divClass?: string;
        transitionParams?: drawerTransitionParamTypes;
        transitionType?: drawerTransitionTypes;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {
            hidden: boolean | undefined;
        };
    };
};
export type DrawerProps = typeof __propDef.props;
export type DrawerEvents = typeof __propDef.events;
export type DrawerSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let activateClickOutside: $$Props['activateClickOutside'] = true;
 * @prop export let hidden: $$Props['hidden'] = true;
 * @prop export let position: $$Props['position'] = 'fixed';
 * @prop export let leftOffset: $$Props['leftOffset'] = 'inset-y-0 start-0';
 * @prop export let rightOffset: $$Props['rightOffset'] = 'inset-y-0 end-0';
 * @prop export let topOffset: $$Props['topOffset'] = 'inset-x-0 top-0';
 * @prop export let bottomOffset: $$Props['bottomOffset'] = 'inset-x-0 bottom-0';
 * @prop export let width: $$Props['width'] = 'w-80';
 * @prop export let backdrop: $$Props['backdrop'] = true;
 * @prop export let bgColor: $$Props['bgColor'] = 'bg-gray-900';
 * @prop export let bgOpacity: $$Props['bgOpacity'] = 'bg-opacity-75';
 * @prop export let placement: NonNullable<$$Props['placement']> = 'left';
 * @prop export let id: $$Props['id'] = 'drawer-example';
 * @prop export let divClass: $$Props['divClass'] = 'overflow-y-auto z-50 p-4 bg-white dark:bg-gray-800';
 * @prop export let transitionParams: $$Props['transitionParams'] = {};
 * @prop export let transitionType: $$Props['transitionType'] = 'fly';
 */
export default class Drawer extends SvelteComponentTyped<DrawerProps, DrawerEvents, DrawerSlots> {
}
export {};
