import { SvelteComponentTyped } from "svelte";
export type DropdownType = {
    activeClass: string;
};
import type { Placement } from '@floating-ui/dom';
import type { FrameColor } from '../utils/Frame.svelte';
declare const __propDef: {
    props: import("svelte/elements").HTMLAnchorAttributes & {
        tag?: string;
        color?: FrameColor;
        rounded?: boolean;
        border?: boolean;
        shadow?: boolean;
        node?: HTMLElement | undefined;
        use?: import("svelte/action").Action<HTMLElement, any>;
        options?: object;
        class?: string;
        role?: string;
        open?: boolean;
        transition?: (node: HTMLElement, params: any) => import("svelte/transition").TransitionConfig;
        params?: any;
    } & {
        activeContent?: boolean;
        arrow?: boolean;
        offset?: number;
        placement?: Placement;
        trigger?: "hover" | "click" | "focus";
        triggeredBy?: string;
        reference?: string;
        strategy?: "absolute" | "fixed";
        open?: boolean;
        yOnly?: boolean;
    } & {
        activeUrl?: string;
        open?: boolean;
        containerClass?: string;
        classContainer?: string;
        headerClass?: string;
        classHeader?: string;
        footerClass?: string;
        classFooter?: string;
        activeClass?: string;
        classActive?: string;
        arrow?: boolean;
        trigger?: "hover" | "click" | "focus";
        placement?: Placement;
        color?: FrameColor;
        shadow?: boolean;
        rounded?: boolean;
    };
    events: {
        show: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        header: {};
        default: {};
        footer: {};
    };
};
export type DropdownProps = typeof __propDef.props;
export type DropdownEvents = typeof __propDef.events;
export type DropdownSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let activeUrl: $$Props['activeUrl'] = undefined;
 * @prop export let open: $$Props['open'] = false;
 * @prop export let containerClass: $$Props['containerClass'] = 'divide-y z-50';
 * @prop export let classContainer: $$Props['classContainer'] = undefined;
 * @prop export let headerClass: $$Props['headerClass'] = 'py-1 overflow-hidden rounded-t-lg';
 * @prop export let classHeader: $$Props['classHeader'] = undefined;
 * @prop export let footerClass: $$Props['footerClass'] = 'py-1 overflow-hidden rounded-b-lg';
 * @prop export let classFooter: $$Props['classFooter'] = undefined;
 * @prop export let activeClass: $$Props['activeClass'] = 'text-primary-700 dark:text-primary-700 hover:text-primary-900 dark:hover:text-primary-900';
 * @prop export let classActive: $$Props['classActive'] = undefined;
 * @prop export let arrow: $$Props['arrow'] = false;
 * @prop export let trigger: $$Props['trigger'] = 'click';
 * @prop export let placement: $$Props['placement'] = 'bottom';
 * @prop export let color: $$Props['color'] = 'dropdown';
 * @prop export let shadow: $$Props['shadow'] = true;
 * @prop export let rounded: $$Props['rounded'] = true;
 */
export default class Dropdown extends SvelteComponentTyped<DropdownProps, DropdownEvents, DropdownSlots> {
}
export {};
