import { SvelteComponentTyped } from "svelte";
import type { HTMLInputAttributes } from 'svelte/elements';
import type { FormColorType } from '../types';
import type { CheckboxItem } from '../types';
declare const __propDef: {
    props: HTMLInputAttributes & {
        color?: FormColorType;
        custom?: boolean;
        inline?: boolean;
        group?: string[];
        choices?: CheckboxItem[];
        value?: string | number;
        checked?: boolean;
        spacing?: string;
        groupLabelClass?: string;
        groupInputClass?: string;
        class?: string;
        required?: boolean;
    };
    events: {
        keyup: KeyboardEvent;
        keydown: KeyboardEvent;
        keypress: KeyboardEvent;
        focus: FocusEvent;
        blur: FocusEvent;
        click: MouseEvent;
        mouseover: MouseEvent;
        mouseenter: MouseEvent;
        mouseleave: MouseEvent;
        paste: ClipboardEvent;
        change: Event;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export type CheckboxProps = typeof __propDef.props;
export type CheckboxEvents = typeof __propDef.events;
export type CheckboxSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let color: NonNullable<$$Props['color']> = 'primary';
 * @prop export let custom: NonNullable<$$Props['custom']> = false;
 * @prop export let inline: NonNullable<$$Props['inline']> = false;
 * @prop export let group: $$Props['group'] = [];
 * @prop export let choices: NonNullable<$$Props['choices']> = [];
 * @prop export let value: $$Props['value'] = 'on';
 * @prop export let checked: $$Props['checked'] = undefined;
 * @prop export let spacing: NonNullable<$$Props['spacing']> = $$slots.default ? 'me-2' : '';
 * @prop export let groupLabelClass: NonNullable<$$Props['groupLabelClass']> = '';
 * @prop export let groupInputClass: NonNullable<$$Props['groupInputClass']> = '';
 */
export default class Checkbox extends SvelteComponentTyped<CheckboxProps, CheckboxEvents, CheckboxSlots> {
}
export {};
