import { SvelteComponentTyped } from "svelte";
import type { ButtonColorType, SizeType } from '../types';
declare const __propDef: {
    props: (({
        pill?: boolean;
        outline?: boolean;
        size?: "xs" | "sm" | "md" | "lg" | "xl";
        color?: "red" | "yellow" | "green" | "purple" | "blue" | "light" | "dark" | "primary" | "none" | "alternative";
        shadow?: boolean;
        tag?: "a" | "button";
        checked?: boolean;
    } & Omit<import("svelte/elements").HTMLAnchorAttributes, "type"> & {
        href?: string | undefined;
    }) | ({
        pill?: boolean;
        outline?: boolean;
        size?: "xs" | "sm" | "md" | "lg" | "xl";
        color?: "red" | "yellow" | "green" | "purple" | "blue" | "light" | "dark" | "primary" | "none" | "alternative";
        shadow?: boolean;
        tag?: "a" | "button";
        checked?: boolean;
    } & import("svelte/elements").HTMLButtonAttributes & {
        disabled?: import("svelte/elements").HTMLButtonAttributes["disabled"];
        type?: import("svelte/elements").HTMLButtonAttributes["type"];
    })) & {
        group: (string | number)[];
        value: string | number;
        checked?: boolean;
        inline?: boolean;
        pill?: boolean;
        outline?: boolean;
        size?: SizeType | undefined;
        color?: ButtonColorType | undefined;
        shadow?: boolean;
    };
    events: {
        keyup: KeyboardEvent;
        keydown: KeyboardEvent;
        keypress: KeyboardEvent;
        focus: FocusEvent;
        blur: FocusEvent;
        click: MouseEvent;
        mouseover: MouseEvent;
        mouseenter: MouseEvent;
        mouseleave: MouseEvent;
        paste: ClipboardEvent;
        change: Event;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export type CheckboxButtonProps = typeof __propDef.props;
export type CheckboxButtonEvents = typeof __propDef.events;
export type CheckboxButtonSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let group: $$Props['group'] = [];
 * @prop export let value: $$Props['value'] = 'on';
 * @prop export let checked: $$Props['checked'] = undefined;
 * @prop export let inline: $$Props['inline'] = true;
 * @prop export let pill: $$Props['pill'] = false;
 * @prop export let outline: $$Props['outline'] = false;
 * @prop export let size: $$Props['size'] = undefined;
 * @prop export let color: $$Props['color'] = undefined;
 * @prop export let shadow: $$Props['shadow'] = false;
 */
export default class CheckboxButton extends SvelteComponentTyped<CheckboxButtonProps, CheckboxButtonEvents, CheckboxButtonSlots> {
}
export {};
