import { SvelteComponentTyped } from "svelte";
import type { HTMLInputAttributes } from 'svelte/elements';
declare const __propDef: {
    props: {
        value?: string;
        files?: FileList | undefined;
        defaultClass?: string;
    } & HTMLInputAttributes;
    events: {
        focus: FocusEvent;
        blur: FocusEvent;
        mouseenter: MouseEvent;
        mouseleave: MouseEvent;
        mouseover: MouseEvent;
        dragenter: DragEvent;
        dragleave: DragEvent;
        dragover: DragEvent;
        drop: DragEvent;
        change: Event;
        click: MouseEvent;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
type DropzoneProps_ = typeof __propDef.props;
export { DropzoneProps_ as DropzoneProps };
export type DropzoneEvents = typeof __propDef.events;
export type DropzoneSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let value: $$Props['value'] = '';
 * @prop export let files: $$Props['files'] = undefined;
 * @prop export let defaultClass: $$Props['defaultClass'] = 'flex flex-col justify-center items-center w-full h-64 bg-gray-50 rounded-lg border-2 border-gray-300 border-dashed cursor-pointer dark:hover:bg-bray-800 dark:bg-gray-700 hover:bg-gray-100 dark:border-gray-600 dark:hover:border-gray-500 dark:hover:bg-gray-600';
 */
export default class Dropzone extends SvelteComponentTyped<DropzoneProps_, DropzoneEvents, DropzoneSlots> {
}
