import { SvelteComponentTyped } from "svelte";
import type { HTMLInputAttributes } from 'svelte/elements';
import type { InputType } from '../types';
declare const __propDef: {
    props: Omit<HTMLInputAttributes, "size"> & {
        id?: string;
        style?: "filled" | "outlined" | "standard";
        type?: InputType;
        size?: "small" | "default";
        color?: "base" | "green" | "red";
        value?: any;
    };
    events: {
        blur: FocusEvent;
        change: Event;
        click: MouseEvent;
        focus: FocusEvent;
        input: Event;
        keydown: KeyboardEvent;
        keypress: KeyboardEvent;
        keyup: KeyboardEvent;
        mouseenter: MouseEvent;
        mouseleave: MouseEvent;
        mouseover: MouseEvent;
        paste: ClipboardEvent;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export type FloatingLabelInputProps = typeof __propDef.props;
export type FloatingLabelInputEvents = typeof __propDef.events;
export type FloatingLabelInputSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let id: $$Props['id'] = generateId();
 * @prop export let style: NonNullable<$$Props['style']> = 'standard';
 * @prop export let type: NonNullable<$$Props['type']> = 'text';
 * @prop export let size: NonNullable<$$Props['size']> = 'default';
 * @prop export let color: NonNullable<$$Props['color']> = 'base';
 * @prop export let value: $$Props['value'] = undefined;
 */
export default class FloatingLabelInput extends SvelteComponentTyped<FloatingLabelInputProps, FloatingLabelInputEvents, FloatingLabelInputSlots> {
}
export {};
