import { SvelteComponentTyped } from "svelte";
import type { HTMLLabelAttributes } from 'svelte/elements';
declare const __propDef: {
    props: HTMLLabelAttributes & {
        color?: "gray" | "green" | "red" | "disabled";
        defaultClass?: string;
        show?: boolean;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export type LabelProps = typeof __propDef.props;
export type LabelEvents = typeof __propDef.events;
export type LabelSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let color: NonNullable<$$Props['color']> = 'gray';
 * @prop export let defaultClass: $$Props['defaultClass'] = 'text-sm rtl:text-right font-medium block';
 * @prop export let show: $$Props['show'] = true;
 */
export default class Label extends SvelteComponentTyped<LabelProps, LabelEvents, LabelSlots> {
}
export {};
