import { SvelteComponentTyped } from "svelte";
import type { HTMLInputAttributes } from 'svelte/elements';
import type { ButtonColorType, SizeType } from '../types';
declare const __propDef: {
    props: Omit<HTMLInputAttributes, "size"> & {
        group: string | number;
        value: string | number;
        inline?: boolean;
        pill?: boolean;
        outline?: boolean;
        size?: SizeType | undefined;
        color?: ButtonColorType | undefined;
        shadow?: boolean;
    };
    events: {
        keyup: KeyboardEvent;
        keydown: KeyboardEvent;
        keypress: KeyboardEvent;
        focus: FocusEvent;
        blur: FocusEvent;
        click: MouseEvent;
        mouseover: MouseEvent;
        mouseenter: MouseEvent;
        mouseleave: MouseEvent;
        paste: ClipboardEvent;
        change: Event;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export type RadioButtonProps = typeof __propDef.props;
export type RadioButtonEvents = typeof __propDef.events;
export type RadioButtonSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let group: $$Props['group'] = '';
 * @prop export let value: $$Props['value'] = '';
 * @prop export let inline: $$Props['inline'] = true;
 * @prop export let pill: $$Props['pill'] = false;
 * @prop export let outline: $$Props['outline'] = false;
 * @prop export let size: $$Props['size'] = undefined;
 * @prop export let color: $$Props['color'] = undefined;
 * @prop export let shadow: $$Props['shadow'] = false;
 */
export default class RadioButton extends SvelteComponentTyped<RadioButtonProps, RadioButtonEvents, RadioButtonSlots> {
}
export {};
