import { SvelteComponentTyped } from "svelte";
import type { HTMLSelectAttributes } from 'svelte/elements';
import type { SelectOptionType } from '../types';
declare const __propDef: {
    props: Omit<HTMLSelectAttributes, "size"> & {
        items?: SelectOptionType<any>[];
        value?: any;
        placeholder?: string;
        underline?: boolean;
        size?: "sm" | "md" | "lg";
        defaultClass?: string;
        underlineClass?: string;
    };
    events: {
        change: Event;
        contextmenu: MouseEvent;
        input: Event;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export type SelectProps = typeof __propDef.props;
export type SelectEvents = typeof __propDef.events;
export type SelectSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let items: $$Props['items'] = [];
 * @prop export let value: $$Props['value'] = '';
 * @prop export let placeholder: $$Props['placeholder'] = 'Choose option ...';
 * @prop export let underline: $$Props['underline'] = false;
 * @prop export let size: NonNullable<$$Props['size']> = 'md';
 * @prop export let defaultClass: $$Props['defaultClass'] = 'text-gray-900 disabled:text-gray-400 bg-gray-50 border border-gray-300 rounded-lg focus:ring-primary-500 focus:border-primary-500 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:disabled:text-gray-500 dark:focus:ring-primary-500 dark:focus:border-primary-500';
 * @prop export let underlineClass: $$Props['underlineClass'] = 'text-gray-500 disabled:text-gray-400 bg-transparent border-0 border-b-2 border-gray-200 appearance-none dark:text-gray-400 dark:disabled:text-gray-500 dark:border-gray-700 focus:outline-none focus:ring-0 focus:border-gray-200 peer';
 */
export default class Select extends SvelteComponentTyped<SelectProps, SelectEvents, SelectSlots> {
}
export {};
