import { SvelteComponentTyped } from "svelte";
import type { HTMLTextareaAttributes } from 'svelte/elements';
declare const __propDef: {
    props: HTMLTextareaAttributes & {
        value?: any;
        wrappedClass?: string;
        unWrappedClass?: string;
        innerWrappedClass?: string;
        headerClass?: string;
        footerClass?: string;
    };
    events: {
        blur: FocusEvent;
        change: Event;
        click: MouseEvent;
        contextmenu: MouseEvent;
        focus: FocusEvent;
        input: Event;
        keydown: KeyboardEvent;
        keypress: KeyboardEvent;
        keyup: KeyboardEvent;
        mouseenter: MouseEvent;
        mouseleave: MouseEvent;
        mouseover: MouseEvent;
        paste: ClipboardEvent;
        select: Event;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        header: {};
        footer: {};
    };
};
export type TextareaProps = typeof __propDef.props;
export type TextareaEvents = typeof __propDef.events;
export type TextareaSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let value: $$Props['value'] = undefined;
 * @prop export let wrappedClass: $$Props['wrappedClass'] = 'block w-full text-sm border-0 px-0 bg-inherit dark:bg-inherit focus:outline-none focus:ring-0 disabled:cursor-not-allowed disabled:opacity-50';
 * @prop export let unWrappedClass: $$Props['unWrappedClass'] = 'p-2.5 text-sm focus:ring-primary-500 border-gray-300 focus:border-primary-500 dark:focus:ring-primary-500 dark:focus:border-primary-500 disabled:cursor-not-allowed disabled:opacity-50';
 * @prop export let innerWrappedClass: $$Props['innerWrappedClass'] = 'py-2 px-4 bg-white dark:bg-gray-800';
 * @prop export let headerClass: $$Props['headerClass'] = ''
 * export let footerClass: $$Props['footerClass'] = '';
 */
export default class Textarea extends SvelteComponentTyped<TextareaProps, TextareaEvents, TextareaSlots> {
}
export {};
