import { SvelteComponentTyped } from "svelte";
import type { FormColorType } from '../types';
declare const __propDef: {
    props: Omit<import("svelte/elements").HTMLInputAttributes & {
        color?: FormColorType;
        custom?: boolean;
        inline?: boolean;
        group?: string[];
        choices?: import("../types").CheckboxItem[];
        value?: string | number;
        checked?: boolean;
        spacing?: string;
        groupLabelClass?: string;
        groupInputClass?: string;
        class?: string;
        required?: boolean;
    }, "size"> & {
        size?: "small" | "default" | "large" | "custom";
        group?: string[];
        value?: string | number;
        checked?: boolean;
        customSize?: string;
    };
    events: {
        click: MouseEvent;
        change: Event;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        offLabel: {};
        default: {};
    };
};
export type ToggleProps = typeof __propDef.props;
export type ToggleEvents = typeof __propDef.events;
export type ToggleSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let size: NonNullable<$$Props['size']> = 'default';
 * @prop export let group: $$Props['group'] = [];
 * @prop export let value: $$Props['value'] = '';
 * @prop export let checked: $$Props['checked'] = undefined;
 * @prop export let customSize: $$Props['customSize'] = '';
 */
export default class Toggle extends SvelteComponentTyped<ToggleProps, ToggleEvents, ToggleSlots> {
}
export {};
