import { SvelteComponentTyped } from "svelte";
import type { HTMLAttributes } from 'svelte/elements';
import type { IndicatorPlacementType } from '../types';
declare const __propDef: {
    props: HTMLAttributes<HTMLDivElement> & {
        color?: "gray" | "red" | "yellow" | "green" | "indigo" | "purple" | "blue" | "dark" | "orange" | "none" | "teal";
        rounded?: boolean;
        size?: "xs" | "sm" | "md" | "lg" | "xl";
        border?: boolean;
        placement?: IndicatorPlacementType;
        offset?: boolean;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export type IndicatorProps = typeof __propDef.props;
export type IndicatorEvents = typeof __propDef.events;
export type IndicatorSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let color: NonNullable<$$Props['color']> = 'gray';
 * @prop export let rounded: $$Props['rounded'] = false;
 * @prop export let size: NonNullable<$$Props['size']> = 'md';
 * @prop export let border: $$Props['border'] = false;
 * @prop export let placement: $$Props['placement'] = undefined;
 * @prop export let offset: $$Props['offset'] = true;
 */
export default class Indicator extends SvelteComponentTyped<IndicatorProps, IndicatorEvents, IndicatorSlots> {
}
export {};
