import { SvelteComponentTyped } from "svelte";
import type { HTMLAttributes } from 'svelte/elements';
import type { EasingFunction } from 'svelte/transition';
declare const __propDef: {
    props: HTMLAttributes<HTMLDivElement> & {
        progress: string | number;
        precision?: number;
        tweenDuration?: number;
        animate?: boolean;
        size?: string;
        labelInside?: boolean;
        labelOutside?: string;
        easing?: EasingFunction;
        color?: "primary" | "blue" | "gray" | "red" | "green" | "yellow" | "purple" | "indigo";
        labelInsideClass?: string;
        divClass?: string;
        progressClass?: string;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type ProgressbarProps = typeof __propDef.props;
export type ProgressbarEvents = typeof __propDef.events;
export type ProgressbarSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let progress: $$Props['progress'] = '45';
 * @prop export let precision: $$Props['precision'] = 0
 * export let tweenDuration: $$Props['tweenDuration'] = 400;
 * @prop export let animate: $$Props['animate'] = false;
 * @prop export let size: $$Props['size'] = 'h-2.5';
 * @prop export let labelInside: $$Props['labelInside'] = false;
 * @prop export let labelOutside: $$Props['labelOutside'] = '';
 * @prop export let easing: $$Props['easing'] = cubicOut;
 * @prop export let color: NonNullable<$$Props['color']> = 'primary';
 * @prop export let labelInsideClass: $$Props['labelInsideClass'] = 'text-primary-100 text-xs font-medium text-center p-0.5 leading-none rounded-full';
 * @prop export let divClass: $$Props['divClass'] = 'w-full bg-gray-200 rounded-full dark:bg-gray-700';
 * @prop export let progressClass: $$Props['progressClass'] = '';
 */
export default class Progressbar extends SvelteComponentTyped<ProgressbarProps, ProgressbarEvents, ProgressbarSlots> {
}
export {};
