import { SvelteComponentTyped } from "svelte";
import type { ReviewType } from '../types';
declare const __propDef: {
    props: {
        review: ReviewType;
        articleClass?: string;
        divClass?: string;
        imgClass?: string;
        ulClass?: string;
        liClass?: string;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        address: {};
        item1: {};
        item2: {};
        item3: {};
        default: {};
    };
};
export type ReviewProps = typeof __propDef.props;
export type ReviewEvents = typeof __propDef.events;
export type ReviewSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let review: $$Props['review'];
 * @prop export let articleClass: $$Props['articleClass'] = 'md:gap-8 md:grid md:grid-cols-3';
 * @prop export let divClass: $$Props['divClass'] = 'flex items-center mb-6 space-x-4 rtl:space-x-reverse';
 * @prop export let imgClass: $$Props['imgClass'] = 'w-10 h-10 rounded-full';
 * @prop export let ulClass: $$Props['ulClass'] = 'space-y-4 text-sm text-gray-500 dark:text-gray-400';
 * @prop export let liClass: $$Props['liClass'] = 'flex items-center';
 */
export default class Review extends SvelteComponentTyped<ReviewProps, ReviewEvents, ReviewSlots> {
}
export {};
