import { SvelteComponentTyped } from "svelte";
import type { SVGAttributes } from 'svelte/elements';
declare const __propDef: {
    props: SVGAttributes<SVGSVGElement> & {
        fillPercent?: number;
        fillColor?: string;
        strokeColor?: string;
        size?: number;
        ariaLabel?: string;
        id?: string;
        role?: string;
    };
    events: {
        click: MouseEvent;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type StarProps = typeof __propDef.props;
export type StarEvents = typeof __propDef.events;
export type StarSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let fillPercent: $$Props['fillPercent'] = 100;
 * @prop export let fillColor: $$Props['fillColor'] = '#F5CA14';
 * @prop export let strokeColor: $$Props['strokeColor'] = '#F5CA14';
 * @prop export let size: $$Props['size'] = 24;
 * @prop export let ariaLabel: $$Props['ariaLabel'] = 'star';
 * @prop export let id: $$Props['id'] = generateId();
 * @prop export let role: $$Props['role'] = 'img';
 */
export default class Star extends SvelteComponentTyped<StarProps, StarEvents, StarSlots> {
}
export {};
