import { SvelteComponentTyped } from "svelte";
export type SidebarType = {
    activeClass: string;
    nonActiveClass: string;
};
import type { HTMLAttributes } from 'svelte/elements';
declare const __propDef: {
    props: HTMLAttributes<HTMLElement> & {
        activeUrl?: string;
        asideClass?: string;
        nonActiveClass?: string;
        activeClass?: string;
        ariaLabel?: string;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export type SidebarProps = typeof __propDef.props;
export type SidebarEvents = typeof __propDef.events;
export type SidebarSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let activeUrl: NonNullable<$$Props['activeUrl']> = '';
 * @prop export let asideClass: $$Props['asideClass'] = 'w-64';
 * @prop export let nonActiveClass: NonNullable<$$Props['nonActiveClass']> = 'flex items-center p-2 text-base font-normal text-gray-900 rounded-lg dark:text-white hover:bg-gray-100 dark:hover:bg-gray-700';
 * @prop export let activeClass: NonNullable<$$Props['activeClass']> = 'flex items-center p-2 text-base font-normal text-gray-900 bg-gray-200 dark:bg-gray-700 rounded-lg dark:text-white hover:bg-gray-100 dark:hover:bg-gray-700';
 * @prop export let ariaLabel: $$Props['ariaLabel'] = 'Sidebar';
 */
export default class Sidebar extends SvelteComponentTyped<SidebarProps, SidebarEvents, SidebarSlots> {
}
export {};
