import { SvelteComponentTyped } from "svelte";
import type { HTMLAnchorAttributes } from 'svelte/elements';
import type { SiteType } from '../types';
declare const __propDef: {
    props: HTMLAnchorAttributes & {
        site: SiteType;
        aClass?: string;
        imgClass?: string;
        spanClass?: string;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type SidebarBrandProps = typeof __propDef.props;
export type SidebarBrandEvents = typeof __propDef.events;
export type SidebarBrandSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let site: $$Props['site'];
 * @prop export let aClass: $$Props['aClass'] = 'flex items-center ps-2.5 mb-5';
 * @prop export let imgClass: $$Props['imgClass'] = 'h-6 me-3 sm:h-7';
 * @prop export let spanClass: $$Props['spanClass'] = 'self-center text-xl font-semibold whitespace-nowrap dark:text-white';
 */
export default class SidebarBrand extends SvelteComponentTyped<SidebarBrandProps, SidebarBrandEvents, SidebarBrandSlots> {
}
export {};
