import { SvelteComponentTyped } from "svelte";
import type { HTMLAnchorAttributes } from 'svelte/elements';
declare const __propDef: {
    props: HTMLAnchorAttributes & {
        aClass?: string;
        href?: string;
        label?: string;
        activeClass?: string;
        active?: boolean;
    };
    events: {
        blur: FocusEvent;
        click: MouseEvent;
        focus: FocusEvent;
        keydown: KeyboardEvent;
        keypress: KeyboardEvent;
        keyup: KeyboardEvent;
        mouseenter: MouseEvent;
        mouseleave: MouseEvent;
        mouseover: MouseEvent;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type SidebarDropdownItemProps = typeof __propDef.props;
export type SidebarDropdownItemEvents = typeof __propDef.events;
export type SidebarDropdownItemSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let aClass: $$Props['aClass'] = 'flex items-center p-2 ps-11 w-full text-base font-normal text-gray-900 rounded-lg transition duration-75 group hover:bg-gray-100 dark:text-white dark:hover:bg-gray-700';
 * @prop export let href: $$Props['href'] = '';
 * @prop export let label: $$Props['label'] = '';
 * @prop export let activeClass: $$Props['activeClass'] = 'flex items-center p-2 ps-11 text-base font-normal text-gray-900 bg-gray-200 dark:bg-gray-700 rounded-lg dark:text-white hover:bg-gray-100 dark:hover:bg-gray-700';
 * @prop export let active: $$Props['active'] = false;
 */
export default class SidebarDropdownItem extends SvelteComponentTyped<SidebarDropdownItemProps, SidebarDropdownItemEvents, SidebarDropdownItemSlots> {
}
export {};
