import { SvelteComponentTyped } from "svelte";
import type { HTMLAnchorAttributes } from 'svelte/elements';
import type { Action } from 'svelte/action';
declare const __propDef: {
    props: HTMLAnchorAttributes & {
        action?: Action<HTMLElement, any>;
        params?: any;
        href?: string;
        label?: string;
        spanClass?: string;
        activeClass?: string;
        nonActiveClass?: string;
    };
    events: {
        blur: FocusEvent;
        click: MouseEvent;
        focus: FocusEvent;
        keydown: KeyboardEvent;
        keypress: KeyboardEvent;
        keyup: KeyboardEvent;
        mouseenter: MouseEvent;
        mouseleave: MouseEvent;
        mouseover: MouseEvent;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        icon: {};
        subtext: {};
    };
};
export type SidebarItemProps = typeof __propDef.props;
export type SidebarItemEvents = typeof __propDef.events;
export type SidebarItemSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let action: NonNullable<$$Props['action']> = () => {};
 * @prop export let params: $$Props['params'] = {};
 * @prop export let href: $$Props['href'] = '';
 * @prop export let label: $$Props['label'] = '';
 * @prop export let spanClass: $$Props['spanClass'] = 'ms-3';
 * @prop export let activeClass: $$Props['activeClass'] = undefined;
 * @prop export let nonActiveClass: $$Props['nonActiveClass'] = undefined;
 */
export default class SidebarItem extends SvelteComponentTyped<SidebarItemProps, SidebarItemEvents, SidebarItemSlots> {
}
export {};
