import { SvelteComponentTyped } from "svelte";
import type { Placement } from '@floating-ui/dom';
export interface SpeedCtxType {
    pill: boolean;
    tooltip: Placement | 'none';
    textOutside: boolean;
}
declare const __propDef: {
    props: (({
        pill?: boolean;
        outline?: boolean;
        size?: "xs" | "sm" | "md" | "lg" | "xl";
        color?: "red" | "yellow" | "green" | "purple" | "blue" | "light" | "dark" | "primary" | "none" | "alternative";
        shadow?: boolean;
        tag?: "a" | "button";
        checked?: boolean;
    } & Omit<import("svelte/elements").HTMLAnchorAttributes, "type"> & {
        href?: string | undefined;
    }) | ({
        pill?: boolean;
        outline?: boolean;
        size?: "xs" | "sm" | "md" | "lg" | "xl";
        color?: "red" | "yellow" | "green" | "purple" | "blue" | "light" | "dark" | "primary" | "none" | "alternative";
        shadow?: boolean;
        tag?: "a" | "button";
        checked?: boolean;
    } & import("svelte/elements").HTMLButtonAttributes & {
        disabled?: import("svelte/elements").HTMLButtonAttributes["disabled"];
        type?: import("svelte/elements").HTMLButtonAttributes["type"];
    })) & {
        defaultClass?: string;
        popperDefaultClass?: string;
        placement?: Placement;
        pill?: boolean;
        tooltip?: Placement | "none";
        trigger?: "hover" | "click" | "focus";
        textOutside?: boolean;
        id?: string;
        name?: string;
        gradient?: boolean;
        open?: boolean;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        button: {};
        icon: {};
        default: {};
    };
};
export type SpeedDialProps = typeof __propDef.props;
export type SpeedDialEvents = typeof __propDef.events;
export type SpeedDialSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let defaultClass: $$Props['defaultClass'] = 'fixed end-6 bottom-6';
 * @prop export let popperDefaultClass: $$Props['popperDefaultClass'] = 'flex items-center mb-4 gap-2';
 * @prop export let placement: NonNullable<$$Props['placement']> = 'top';
 * @prop export let pill: NonNullable<$$Props['pill']> = true;
 * @prop export let tooltip: NonNullable<$$Props['tooltip']> = 'left';
 * @prop export let trigger: $$Props['trigger'] = 'hover';
 * @prop export let textOutside: NonNullable<$$Props['textOutside']> = false;
 * @prop export let id: $$Props['id'] = generateId();
 * @prop export let name: $$Props['name'] = 'Open actions menu';
 * @prop export let gradient: $$Props['gradient'] = false;
 * @prop export let open: $$Props['open'] = false;
 */
export default class SpeedDial extends SvelteComponentTyped<SpeedDialProps, SpeedDialEvents, SpeedDialSlots> {
}
export {};
