import { SvelteComponentTyped } from "svelte";
import type { HTMLTableAttributes } from 'svelte/elements';
import type { TableColorType } from '../types';
declare class __sveltets_Render<T> {
    props(): HTMLTableAttributes & {
        divClass?: string;
        striped?: boolean;
        hoverable?: boolean;
        noborder?: boolean;
        shadow?: boolean;
        color?: TableColorType;
        customeColor?: string;
        items?: T[] | undefined;
        filter?: ((t: T, term: string) => boolean) | null | undefined;
        placeholder?: string;
        innerDivClass?: string;
        searchClass?: string;
        svgDivClass?: string;
        svgClass?: string;
        inputClass?: string;
    };
    events(): {} & {
        [evt: string]: CustomEvent<any>;
    };
    slots(): {
        search: {};
        svgSearch: {};
        header: {};
        default: {};
    };
}
export type TableProps<T> = ReturnType<__sveltets_Render<T>['props']>;
export type TableEvents<T> = ReturnType<__sveltets_Render<T>['events']>;
export type TableSlots<T> = ReturnType<__sveltets_Render<T>['slots']>;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let divClass: $$Props['divClass'] = 'relative overflow-x-auto';
 * @prop export let striped: $$Props['striped'] = false;
 * @prop export let hoverable: $$Props['hoverable'] = false;
 * @prop export let noborder: $$Props['noborder'] = false;
 * @prop export let shadow: $$Props['shadow'] = false;
 * @prop export let color: NonNullable<$$Props['color']> = 'default';
 * @prop export let customeColor: $$Props['customeColor'] = '';
 * @prop export let items: $$Props['items'] = [];
 * @prop export let filter: $$Props['filter'] = null;
 * @prop export let placeholder: $$Props['placeholder'] = 'Search';
 * @prop export let innerDivClass: $$Props['innerDivClass'] = 'p-4';
 * @prop export let searchClass: $$Props['searchClass'] = 'relative mt-1';
 * @prop export let svgDivClass: $$Props['svgDivClass'] = 'absolute inset-y-0 start-0 flex items-center ps-3 pointer-events-none';
 * @prop export let svgClass: $$Props['svgClass'] = 'w-5 h-5 text-gray-500 dark:text-gray-400';
 * @prop export let inputClass: $$Props['inputClass'] = 'bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-80 p-2.5 ps-10 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500';
 */
export default class Table<T> extends SvelteComponentTyped<TableProps<T>, TableEvents<T>, TableSlots<T>> {
}
export {};
