import { SvelteComponentTyped } from "svelte";
import type { HTMLTableAttributes } from 'svelte/elements';
declare const __propDef: {
    props: HTMLTableAttributes & {
        divClass?: string;
        inputValue?: string;
        striped?: boolean;
        hoverable?: boolean;
        placeholder?: string;
        customColor?: string;
        color?: "blue" | "green" | "red" | "yellow" | "purple" | "default" | "custom";
        innerDivClass?: string;
        searchClass?: string;
        svgDivClass?: string;
        svgClass?: string;
        inputClass?: string;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        svgSearch: {};
        header: {};
        default: {};
        footer: {};
    };
};
export type TableSearchProps = typeof __propDef.props;
export type TableSearchEvents = typeof __propDef.events;
export type TableSearchSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let divClass: $$Props['divClass'] = 'relative overflow-x-auto shadow-md sm:rounded-lg';
 * @prop export let inputValue: $$Props['inputValue'] = '';
 * @prop export let striped: $$Props['striped'] = false;
 * @prop export let hoverable: $$Props['hoverable'] = false;
 * @prop export let placeholder: $$Props['placeholder'] = 'Search';
 * @prop export let customColor: $$Props['customColor'] = '';
 * @prop export let color: NonNullable<$$Props['color']> = 'default';
 * @prop export let innerDivClass: $$Props['innerDivClass'] = 'p-4';
 * @prop export let searchClass: $$Props['searchClass'] = 'relative mt-1';
 * @prop export let svgDivClass: $$Props['svgDivClass'] = 'absolute inset-y-0 start-0 flex items-center ps-3 pointer-events-none';
 * @prop export let svgClass: $$Props['svgClass'] = 'w-5 h-5 text-gray-500 dark:text-gray-400';
 * @prop export let inputClass: $$Props['inputClass'] = 'bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-80 p-2.5 ps-10 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500';
 */
export default class TableSearch extends SvelteComponentTyped<TableSearchProps, TableSearchEvents, TableSearchSlots> {
}
export {};
