import { SvelteComponentTyped } from "svelte";
import type { HTMLButtonAttributes } from 'svelte/elements';
declare const __propDef: {
    props: HTMLButtonAttributes & {
        open?: boolean;
        title?: string;
        activeClasses?: string;
        inactiveClasses?: string;
        defaultClass?: string;
        divClass?: string;
    };
    events: {
        blur: FocusEvent;
        click: MouseEvent;
        contextmenu: MouseEvent;
        focus: FocusEvent;
        keydown: KeyboardEvent;
        keypress: KeyboardEvent;
        keyup: KeyboardEvent;
        mouseenter: MouseEvent;
        mouseleave: MouseEvent;
        mouseover: MouseEvent;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        title: {};
        default: {};
    };
};
export type TabItemProps = typeof __propDef.props;
export type TabItemEvents = typeof __propDef.events;
export type TabItemSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let open: $$Props['open'] = false;
 * @prop export let title: $$Props['title'] = 'Tab title';
 * @prop export let activeClasses: $$Props['activeClasses'] = undefined;
 * @prop export let inactiveClasses: $$Props['inactiveClasses'] = undefined;
 * @prop export let defaultClass: $$Props['defaultClass'] = 'inline-block text-sm font-medium text-center disabled:cursor-not-allowed';
 * @prop export let divClass: $$Props['divClass'] = '';
 */
export default class TabItem extends SvelteComponentTyped<TabItemProps, TabItemEvents, TabItemSlots> {
}
export {};
