import { SvelteComponentTyped } from "svelte";
import type { GroupTimelineType } from '../types';
declare const __propDef: {
    props: {
        timelines: GroupTimelineType[];
        aClass?: string;
        imgClass?: string;
        divClass?: string;
        titleClass?: string;
        spanClass?: string;
        isPrivacy?: boolean;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type GroupItemProps = typeof __propDef.props;
export type GroupItemEvents = typeof __propDef.events;
export type GroupItemSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let timelines: $$Props['timelines'];
 * @prop export let aClass: $$Props['aClass'] = 'block items-center p-3 sm:flex hover:bg-gray-100 dark:hover:bg-gray-700';
 * @prop export let imgClass: $$Props['imgClass'] = 'me-3 mb-3 w-12 h-12 rounded-full sm:mb-0';
 * @prop export let divClass: $$Props['divClass'] = 'text-gray-600 dark:text-gray-400';
 * @prop export let titleClass: $$Props['titleClass'] = 'text-base font-normal';
 * @prop export let spanClass: $$Props['spanClass'] = 'inline-flex items-center text-xs font-normal text-gray-500 dark:text-gray-400';
 * @prop export let isPrivacy: $$Props['isPrivacy'] = true;
 */
export default class GroupItem extends SvelteComponentTyped<GroupItemProps, GroupItemEvents, GroupItemSlots> {
}
export {};
