import { SvelteComponentTyped } from "svelte";
import type { HTMLAnchorAttributes, HTMLButtonAttributes } from 'svelte/elements';
declare const __propDef: {
    props: ({
        color?: "gray" | "red" | "yellow" | "green" | "indigo" | "purple" | "pink" | "blue" | "dark" | "default" | "primary";
        name?: string;
        ariaLabel?: string;
        size?: "xs" | "sm" | "lg" | "md";
    } & HTMLAnchorAttributes & {
        href: string;
    }) | ({
        color?: "gray" | "red" | "yellow" | "green" | "indigo" | "purple" | "pink" | "blue" | "dark" | "default" | "primary";
        name?: string;
        ariaLabel?: string;
        size?: "xs" | "sm" | "lg" | "md";
    } & HTMLButtonAttributes);
    events: {
        click: MouseEvent;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {
            svgSize: string;
        };
    };
};
export type ToolbarButtonProps = typeof __propDef.props;
export type ToolbarButtonEvents = typeof __propDef.events;
export type ToolbarButtonSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let color: NonNullable<$$Props['color']> = 'default';
 * @prop export let name: $$Props['name'] = undefined;
 * @prop export let ariaLabel: $$Props['ariaLabel'] = undefined;
 * @prop export let size: SizeType = 'md';
 * @prop export let href: string | undefined = undefined;
 */
export default class ToolbarButton extends SvelteComponentTyped<ToolbarButtonProps, ToolbarButtonEvents, ToolbarButtonSlots> {
}
export {};
