import { SvelteComponentTyped } from "svelte";
import type { HTMLBlockquoteAttributes } from 'svelte/elements';
import type { BlockQuoteType } from '../types';
declare const __propDef: {
    props: HTMLBlockquoteAttributes & {
        border?: boolean;
        italic?: boolean;
        borderClass?: string;
        bgClass?: string;
        bg?: boolean;
        baseClass?: string;
        alignment?: "left" | "center" | "right";
        size?: BlockQuoteType;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export type BlockquoteProps = typeof __propDef.props;
export type BlockquoteEvents = typeof __propDef.events;
export type BlockquoteSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let border: $$Props['border'] = false;
 * @prop export let italic: $$Props['italic'] = true;
 * @prop export let borderClass: $$Props['borderClass'] = 'border-s-4 border-gray-300 dark:border-gray-500';
 * @prop export let bgClass: $$Props['bgClass'] = 'bg-gray-50 dark:bg-gray-800';
 * @prop export let bg: $$Props['bg'] = false;
 * @prop export let baseClass: $$Props['baseClass'] = 'font-semibold text-gray-900 dark:text-white';
 * @prop export let alignment: NonNullable<$$Props['alignment']> = 'left';
 * @prop export let size: NonNullable<$$Props['size']> = 'lg';
 */
export default class Blockquote extends SvelteComponentTyped<BlockquoteProps, BlockquoteEvents, BlockquoteSlots> {
}
export {};
