import { SvelteComponentTyped } from "svelte";
import type { HTMLAttributes } from 'svelte/elements';
declare const __propDef: {
    props: HTMLAttributes<HTMLElement> & {
        icon?: boolean;
        divClass?: string;
        hrClass?: string;
        iconDivClass?: string;
        textSpanClass?: string;
        innerDivClass?: string;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export type HrProps = typeof __propDef.props;
export type HrEvents = typeof __propDef.events;
export type HrSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let icon: $$Props['icon'] = false;
 * @prop export let divClass: $$Props['divClass'] = 'inline-flex items-center justify-center w-full';
 * @prop export let hrClass: $$Props['hrClass'] = 'h-px my-8 bg-gray-200 border-0 dark:bg-gray-700';
 * @prop export let iconDivClass: $$Props['iconDivClass'] = 'absolute start-1/2 px-4 bg-white -translate-x-1/2 rtl:translate-x-1/2 ';
 * @prop export let textSpanClass: $$Props['textSpanClass'] = 'absolute px-3 font-medium text-gray-900 -translate-x-1/2 rtl:translate-x-1/2 bg-white start-1/2 dark:text-white dark:bg-gray-900 ';
 * @prop export let innerDivClass: $$Props['innerDivClass'] = 'absolute px-4 -translate-x-1/2 rtl:translate-x-1/2 bg-white start-1/2 dark:bg-gray-900';
 */
export default class Hr extends SvelteComponentTyped<HrProps, HrEvents, HrSlots> {
}
export {};
