import { SvelteComponentTyped } from "svelte";
import type { HTMLImgAttributes } from 'svelte/elements';
declare const __propDef: {
    props: HTMLImgAttributes & {
        caption?: string;
        src?: string;
        srcset?: string;
        size?: string;
        alignment?: string;
        imgClass?: string;
        figClass?: string;
        alt?: string;
        effect?: string;
        captionClass?: string;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type ImgProps = typeof __propDef.props;
export type ImgEvents = typeof __propDef.events;
export type ImgSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let caption: $$Props['caption'] = undefined;
 * @prop export let src: $$Props['src'] = undefined;
 * @prop export let srcset: $$Props['srcset'] = undefined;
 * @prop export let size: $$Props['size'] = 'max-w-full';
 * @prop export let alignment: $$Props['alignment'] = '';
 * @prop export let imgClass: $$Props['imgClass'] = 'h-auto';
 * @prop export let figClass: $$Props['figClass'] = 'max-w-lg';
 * @prop export let alt: $$Props['alt'] = '';
 * @prop export let effect: $$Props['effect'] = '';
 * @prop export let captionClass: $$Props['captionClass'] = 'mt-2 text-sm text-center text-gray-500 dark:text-gray-400';
 */
export default class Img extends SvelteComponentTyped<ImgProps, ImgEvents, ImgSlots> {
}
export {};
