import { SvelteComponentTyped } from "svelte";
import type { HTMLAttributes } from 'svelte/elements';
import type { PsizeType, PweightType } from '../types';
declare const __propDef: {
    props: HTMLAttributes<HTMLParagraphElement> & {
        color?: string;
        height?: "normal" | "relaxed" | "loose";
        align?: "left" | "center" | "right";
        justify?: boolean;
        italic?: boolean;
        firstupper?: boolean;
        upperClass?: string;
        opacity?: number;
        whitespace?: "normal" | "nowrap" | "pre" | "preline" | "prewrap";
        size?: PsizeType;
        space?: "tighter" | "tight" | "normal" | "wide" | "wider" | "widest";
        weight?: PweightType;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export type PProps = typeof __propDef.props;
export type PEvents = typeof __propDef.events;
export type PSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let color: NonNullable<$$Props['color']> = 'text-gray-900 dark:text-white';
 * @prop export let height: $$Props['height'] = 'normal';
 * @prop export let align: $$Props['align'] = 'left';
 * @prop export let justify: $$Props['justify'] = false;
 * @prop export let italic: $$Props['italic'] = false;
 * @prop export let firstupper: $$Props['firstupper'] = false;
 * @prop export let upperClass: $$Props['upperClass'] = 'first-line:uppercase first-line:tracking-widest first-letter:text-7xl first-letter:font-bold first-letter:text-gray-900 dark:first-letter:text-gray-100 first-letter:me-3 first-letter:float-left';
 * @prop export let opacity: $$Props['opacity'] = undefined;
 * @prop export let whitespace: $$Props['whitespace'] = 'normal';
 * @prop export let size: $$Props['size'] = 'base';
 * @prop export let space: $$Props['space'] = undefined;
 * @prop export let weight: $$Props['weight'] = 'normal';
 */
export default class P extends SvelteComponentTyped<PProps, PEvents, PSlots> {
}
export {};
