import { SvelteComponentTyped } from "svelte";
import type { HTMLAttributes } from 'svelte/elements';
declare const __propDef: {
    props: HTMLAttributes<HTMLSpanElement> & {
        italic?: boolean;
        underline?: boolean;
        linethrough?: boolean;
        uppercase?: boolean;
        gradient?: boolean;
        highlight?: boolean;
        highlightClass?: string;
        decorationClass?: string;
        gradientClass?: string;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export type SpanProps = typeof __propDef.props;
export type SpanEvents = typeof __propDef.events;
export type SpanSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let italic: $$Props['italic'] = false;
 * @prop export let underline: $$Props['underline'] = false;
 * @prop export let linethrough: $$Props['linethrough'] = false;
 * @prop export let uppercase: $$Props['uppercase'] = false;
 * @prop export let gradient: $$Props['gradient'] = false;
 * @prop export let highlight: $$Props['highlight'] = false;
 * @prop export let highlightClass: $$Props['highlightClass'] = 'text-blue-600 dark:text-blue-500';
 * @prop export let decorationClass: $$Props['decorationClass'] = 'decoration-2 decoration-blue-400 dark:decoration-blue-600';
 * @prop export let gradientClass: $$Props['gradientClass'] = 'text-transparent bg-clip-text bg-gradient-to-r to-emerald-600 from-sky-400';
 */
export default class Span extends SvelteComponentTyped<SpanProps, SpanEvents, SpanSlots> {
}
export {};
